curl -X DELETE https://api.voxmind.ai/organisations/42/predefined-texts/23 \
-H "Authorization: Bearer YOUR_API_TOKEN"
resp = requests.delete(
"https://api.voxmind.ai/organisations/42/predefined-texts/23",
headers={"Authorization": "Bearer YOUR_API_TOKEN"},
)
# 200 = deleted
{
"id": 23,
"org_id": 42,
"language": "en-UK",
"text_code": 1,
"text": "Please clearly say your full name to complete voice registration.",
"created_at": "2025-03-15T10:00:00Z",
"updated_at": "2025-03-15T16:45:00Z"
}
Devices & Texts
Delete Predefined Text
Permanently delete a predefined text record.
DELETE
/
organisations
/
{orgId}
/
predefined-texts
/
{textId}
curl -X DELETE https://api.voxmind.ai/organisations/42/predefined-texts/23 \
-H "Authorization: Bearer YOUR_API_TOKEN"
resp = requests.delete(
"https://api.voxmind.ai/organisations/42/predefined-texts/23",
headers={"Authorization": "Bearer YOUR_API_TOKEN"},
)
# 200 = deleted
{
"id": 23,
"org_id": 42,
"language": "en-UK",
"text_code": 1,
"text": "Please clearly say your full name to complete voice registration.",
"created_at": "2025-03-15T10:00:00Z",
"updated_at": "2025-03-15T16:45:00Z"
}
Overview
Permanently removes a predefined text from your organisation. This does not affect any historical enrollments or verifications — predefined texts are UX configuration only and are not embedded in voiceprint data.Path Parameters
string
required
Your organisation’s unique identifier.
string
required
The numeric ID of the predefined text to delete.
curl -X DELETE https://api.voxmind.ai/organisations/42/predefined-texts/23 \
-H "Authorization: Bearer YOUR_API_TOKEN"
resp = requests.delete(
"https://api.voxmind.ai/organisations/42/predefined-texts/23",
headers={"Authorization": "Bearer YOUR_API_TOKEN"},
)
# 200 = deleted
{
"id": 23,
"org_id": 42,
"language": "en-UK",
"text_code": 1,
"text": "Please clearly say your full name to complete voice registration.",
"created_at": "2025-03-15T10:00:00Z",
"updated_at": "2025-03-15T16:45:00Z"
}

